Bug 106087

Summary: [WinCairo] Build fixes after r138413
Product: WebKit Reporter: peavo
Component: WebCore Misc.Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: ap, bfulgham, peavo, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description peavo 2013-01-04 06:00:09 PST
Changeset r138413 introduced some compile errors in the WinCairo build.
Comment 1 peavo 2013-01-04 06:07:02 PST
Created attachment 181294 [details]
Patch
Comment 2 Alexey Proskuryakov 2013-01-05 10:06:55 PST
Comment on attachment 181294 [details]
Patch

Is it your plan to work on a proper NetworkStorageSessionCurl.cpp in near future? If not, please use NetworkStorageSessionStub.cpp instead of copying it.
Comment 3 peavo 2013-01-07 06:49:12 PST
Created attachment 181501 [details]
Patch
Comment 4 peavo 2013-01-07 06:51:39 PST
(In reply to comment #2)
> (From update of attachment 181294 [details])
> Is it your plan to work on a proper NetworkStorageSessionCurl.cpp in near future? If not, please use NetworkStorageSessionStub.cpp instead of copying it.

I thought I might have a go at it, but I'm not sure when I'll get the time, so to be on the safe side, I altered the patch to use NetworkStorageSessionStub.cpp.
Comment 5 WebKit Review Bot 2013-01-07 08:33:37 PST
Comment on attachment 181501 [details]
Patch

Clearing flags on attachment: 181501

Committed r138947: <http://trac.webkit.org/changeset/138947>
Comment 6 WebKit Review Bot 2013-01-07 08:33:40 PST
All reviewed patches have been landed.  Closing bug.